#!/usr/bin/env node
var minimist = require('minimist');
var wordwrap = require('wordwrap');
var child_process_1 = require('child_process');
var path_1 = require('path');
var typings_1 = require('../typings');
var config_1 = require('../utils/config');
var ALIASES = {
    i: 'install',
    in: 'install',
    install: 'install',
    r: 'uninstall',
    rm: 'uninstall',
    remove: 'uninstall',
    uninstall: 'uninstall',
    init: 'init'
};
var argv = minimist(process.argv.slice(2), {
    boolean: ['version'],
    alias: {
        version: ['v']
    },
    stopEarly: true
});
if (argv.version) {
    console.log(typings_1.VERSION);
    process.exit(0);
}
var command = ALIASES[argv._[0]];
if (command != null) {
    child_process_1.spawn("typings-" + command, argv._.slice(1), { stdio: 'inherit' });
}
else {
    var wrap = wordwrap(4, 80);
    console.log("\nUsage: " + config_1.PROJECT_NAME + " <command>\n\nCommands:\n" + wrap(Object.keys(ALIASES).sort().join(', ')) + "\n\n" + config_1.PROJECT_NAME + " <cmd> -h     get help for <cmd>\n\n" + config_1.PROJECT_NAME + "@" + typings_1.VERSION + " " + path_1.join(__dirname, '../..') + "\n");
}
//# sourceMappingURL=typings.js.map