var logUpdate = require('log-update');
var spinner = require('elegant-spinner');
var chalk = require('chalk');
var Promise = require('native-or-bluebird');
var promise_finally_1 = require('promise-finally');
var inquirer = require('inquirer');
function wrapExecution(promise, options) {
    var frame = spinner();
    var update = function () { return logUpdate(frame()); };
    var interval = setInterval(update, 50);
    function end() {
        clearInterval(interval);
        logUpdate.clear();
    }
    update();
    return promise_finally_1.default(Promise.resolve(promise), end)
        .catch(function (error) {
        console.log(chalk.red(error.name + ": " + error.message));
        if (options.verbose && 'stack' in error) {
            console.log(error.stack);
        }
        process.exit(1);
        return Promise.reject(error);
    });
}
exports.wrapExecution = wrapExecution;
function inquire(questions) {
    return new Promise(function (resolve) {
        inquirer.prompt(questions, resolve);
    });
}
exports.inquire = inquire;
//# sourceMappingURL=cli.js.map